Subject: Re: Running shell-scripts from NT GUI?
From: [email-masked] (Peter Moulder)

28 Nov 1998 23:28:41 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: "[email-masked]'" <[email-masked]>,
        "[email-masked]'" <[email-masked]>

"Fieldhouse, Dirk" <[email-masked]> writes:

> Magnus Homann ([email-masked]) wrote:
> 
> > I just got an NT machine at work, and I want to continue writing some nice
> > shell scripts. /bin/sh is adequate, especially with some awk and sed
> > thrown in.
> > 
> > Now, to make it easuer to run these scritps, I would like to make an icon
> > that, when activated, starts /bin/sh and runs a specific script. It sounds
> > really easy to do, but I don't know where to start. I've tried reading the
> > archive and the docs, but I don't really know what I'm looking for... 

The simplest way is to create a new shortcut (using NT Explorer or
whatever), and make it run `sh myscript.sh'.

(I haven't tried this, but I can't think why it wouldn't work unless
your default path doesn't include sh's location, in which case you
just need to specify a full path of sh, in DOS notation of course.)

pjm.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".